CFPRIME UDMNW2                                                          UDMNW2      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE UDMNW2(INDEX,JSM,XUPD)                                 UDMNW2      3
CD                                                                      UDMNW2      4
CD    TO SET UDM NON-WIND UP LIMITS FOR USE IN SUBROUTINE UPSTAT.       UDMNW2      5
CD                                                                      UDMNW2      6
      INCLUDE 'PARX.INS'                                                UDMNW2      7
      INCLUDE 'CNPT.INS'                                                UDMNW2      8
      INCLUDE 'CNPARX.INS'                                              UDMNW2      9
      INCLUDE 'CNMDAT.INS'                                              UDMNW2     10
      INCLUDE 'CNIPTR.INS'                                              UDMNW2     11
      INCLUDE 'CNB3.INS'                                                UDMNW2     12
      INCLUDE 'CNB4.INS'                                                UDMNW2     13
      INCLUDE 'CNB5.INS'                                                UDMNW2     14
      INCLUDE 'CNB8.INS'                                                UDMNW2     15
      INCLUDE 'CNB9.INS'                                                UDMNW2     16
      INCLUDE 'CNB10.INS'                                               UDMNW2     17
      INCLUDE 'CNB19.INS'                                               UDMNW2     18
      INCLUDE 'CNXSTA.INS'                                              UDMNW2     19
      INCLUDE 'CNYVAR.INS'                                              UDMNW2     20
      INCLUDE 'CNUDM.INS'                                               UDMNW2     21
      INCLUDE 'CNFLAG.INS'                                              UDMNW2     22
      INCLUDE 'CNUNIT.INS'                                              UDMNW2     23
C                                                                       UDMNW2     24
      REAL XUPD(NSID)                                                   UDMNW2     25
C                                                                       UDMNW2     26
      LDEB=(JDEB(267).NE.0)                                             UDMNW2     27
C                                                                       UDMNW2     28
      LORD=0                                                            UDMNW2     29
      JEL=JE4+NUDB                                                      UDMNW2     30
      JEK=JEL+NUDB                                                      UDMNW2     31
  100 LORD=LORD+1                                                       UDMNW2     32
      K=IDDAT(JEL+LORD)                                                 UDMNW2     33
      IF(K.EQ.0) GO TO 500                                              UDMNW2     34
      KORD=IDDAT(JEK+LORD)                                              UDMNW2     35
      LSRD=KORD-JSM                                                     UDMNW2     36
      IF(K.LT.1000) THEN                                                UDMNW2     37
         JEB=JE3+17*K-17                                                UDMNW2     38
         LTYP=IDDAT(JEB+2)                                              UDMNW2     39
         IF(LDEB)WRITE(IUD6,1000) LORD,K,KORD,JEB,LTYP,LSRD             UDMNW2     40
C                                                                       UDMNW2     41
         GO TO ( 500, 110, 120, 500, 130, 500, 500, 500, 500, 500       UDMNW2     42
     &         , 500, 500, 500, 500, 500, 500, 500, 500, 500, 500       UDMNW2     43
     &         , 500, 500, 500, 500, 500, 500, 500, 500, 500, 500       UDMNW2     44
     &         , 135, 135, 140, 150, 140, 150, 160, 500, 500, 170       UDMNW2     45
     &         , 500, 500, 500, 500, 500, 500, 500, 180, 500, 500       UDMNW2     46
     &         , 500, 190, 200, 230, 240, 250, 251, 252, 253, 500       UDMNW2     47
     &         , 500, 500, 500, 500, 500, 500, 500, 500, 500, 500       UDMNW2     48
     &         , 255), LTYP                                             UDMNW2     49
      ELSE                                                              UDMNW2     50
         K=K-1000                                                       UDMNW2     51
         JEB=JE3+17*K-17                                                UDMNW2     52
         LTYP=IDDAT(JEB+2)                                              UDMNW2     53
         IF(LDEB)WRITE(IUD6,1000) LORD,K,KORD,JEB,LTYP,LSRD             UDMNW2     54
         GO TO ( 500, 260, 270, 500, 280), LTYP                         UDMNW2     55
      ENDIF                                                             UDMNW2     56
  110 XMAX=DDAT(JEB+4)                                                  UDMNW2     57
      IF(XUPD(LSRD).GT.XMAX) THEN                                       UDMNW2     58
         XUPD(LSRD)=XMAX                                                UDMNW2     59
         GO TO 500                                                      UDMNW2     60
      ENDIF                                                             UDMNW2     61
      XMIN=DDAT(JEB+5)                                                  UDMNW2     62
      IF(XUPD(LSRD).LT.XMIN) XUPD(LSRD)=XMIN                            UDMNW2     63
      GO TO 500                                                         UDMNW2     64
  120 XMAX=DDAT(JEB+5)                                                  UDMNW2     65
      IF(XUPD(LSRD).GT.XMAX) THEN                                       UDMNW2     66
         XUPD(LSRD)=XMAX                                                UDMNW2     67
         GO TO 500                                                      UDMNW2     68
      ENDIF                                                             UDMNW2     69
      XMIN=DDAT(JEB+6)                                                  UDMNW2     70
      IF(XUPD(LSRD).LT.XMIN) XUPD(LSRD)=XMIN                            UDMNW2     71
      GO TO 500                                                         UDMNW2     72
  130 XMAX=DDAT(JEB+6)                                                  UDMNW2     73
      IF(XUPD(LSRD).GT.XMAX) THEN                                       UDMNW2     74
         XUPD(LSRD)=XMAX                                                UDMNW2     75
         GO TO 500                                                      UDMNW2     76
      ENDIF                                                             UDMNW2     77
      XMIN=DDAT(JEB+7)                                                  UDMNW2     78
      IF(XUPD(LSRD).LT.XMIN) XUPD(LSRD)=XMIN                            UDMNW2     79
      GO TO 500                                                         UDMNW2     80
  135 XMIN=DDAT(JEB+8)                                                  UDMNW2     81
      IF(XUPD(LSRD).LT.XMIN) XUPD(LSRD)=XMIN                            UDMNW2     82
      GO TO 500                                                         UDMNW2     83
  140 XMIN=DDAT(JEB+13)                                                 UDMNW2     84
      IF(XUPD(LSRD).LT.XMIN) XUPD(LSRD)=XMIN                            UDMNW2     85
      GO TO 500                                                         UDMNW2     86
  150 XMAX=DDAT(JEB+12)                                                 UDMNW2     87
      IF(XUPD(LSRD).GT.XMAX) THEN                                       UDMNW2     88
         XUPD(LSRD)=XMAX                                                UDMNW2     89
         GO TO 500                                                      UDMNW2     90
      ENDIF                                                             UDMNW2     91
      XMIN=DDAT(JEB+13)                                                 UDMNW2     92
      IF(XUPD(LSRD).LT.XMIN) XUPD(LSRD)=XMIN                            UDMNW2     93
      GO TO 500                                                         UDMNW2     94
  160 XMAX=DDAT(JEB+5)                                                  UDMNW2     95
      IF(XUPD(LSRD).GT.XMAX) THEN                                       UDMNW2     96
         XUPD(LSRD)=XMAX                                                UDMNW2     97
         EFD(JYG+4)=XUPD(LSRD)                                          UDMNW2     98
         GO TO 500                                                      UDMNW2     99
      ENDIF                                                             UDMNW2    100
      XMIN=0.0                                                          UDMNW2    101
      IF(XUPD(LSRD).LT.XMIN) THEN                                       UDMNW2    102
         XUPD(LSRD)=XMIN                                                UDMNW2    103
         EFD(JYG+4)=XUPD(LSRD)                                          UDMNW2    104
      ENDIF                                                             UDMNW2    105
      GO TO 500                                                         UDMNW2    106
  170 XMAX=DDAT(JEB+11)                                                 UDMNW2    107
      IF(XUPD(LSRD).GT.XMAX) THEN                                       UDMNW2    108
         XUPD(LSRD)=XMAX                                                UDMNW2    109
         EFD(JYG+4)=XUPD(LSRD)                                          UDMNW2    110
         GO TO 500                                                      UDMNW2    111
      ENDIF                                                             UDMNW2    112
      XMIN=DDAT(JEB+12)                                                 UDMNW2    113
      IF(XUPD(LSRD).LT.XMIN) THEN                                       UDMNW2    114
         XUPD(LSRD)=XMIN                                                UDMNW2    115
         EFD(JYG+4)=XUPD(LSRD)                                          UDMNW2    116
      ENDIF                                                             UDMNW2    117
      GO TO 500                                                         UDMNW2    118
  180 XMAX=1.0-DDAT(JEB+6)                                              UDMNW2    119
      IF(XUPD(LSRD).GT.XMAX) THEN                                       UDMNW2    120
         XUPD(LSRD)=XMAX                                                UDMNW2    121
         GO TO 500                                                      UDMNW2    122
      ENDIF                                                             UDMNW2    123
      XMIN=XMAX-1.0                                                     UDMNW2    124
      IF(XUPD(LSRD).LT.XMIN) XUPD(LSRD)=XMIN                            UDMNW2    125
      GO TO 500                                                         UDMNW2    126
  190 IF(XUPD(LSRD).GT.1.0) THEN                                        UDMNW2    127
         XUPD(LSRD)=1.0                                                 UDMNW2    128
         BTCR(JY+6)=1.0                                                 UDMNW2    129
         BDEV(JY+5)=1.0-DDAT(JEB+6)                                     UDMNW2    130
         BSVC(JY+2)=BDEV(JY+5)*BASER(JY+4)                              UDMNW2    131
         GO TO 500                                                      UDMNW2    132
      ENDIF                                                             UDMNW2    133
      IF(XUPD(LSRD).LT.0.0) THEN                                        UDMNW2    134
         XUPD(LSRD)=0.0                                                 UDMNW2    135
         BTCR(JY+6)=0.0                                                 UDMNW2    136
         BDEV(JY+5)=-DDAT(JEB+6)                                        UDMNW2    137
         BSVC(JY+2)=BDEV(JY+5)*BASER(JY+4)                              UDMNW2    138
      ENDIF                                                             UDMNW2    139
      GO TO 500                                                         UDMNW2    140
  200 IF(XUPD(LSRD+1).GT.1.0) THEN                                      UDMNW2    141
         XUPD(LSRD+1)=1.0                                               UDMNW2    142
         GO TO 210                                                      UDMNW2    143
      ENDIF                                                             UDMNW2    144
      IF(XUPD(LSRD+1).LT.0.0) XUPD(LSRD+1)=0.0                          UDMNW2    145
  210 IF(XUPD(LSRD).GT.1.0) THEN                                        UDMNW2    146
         XUPD(LSRD)=1.0                                                 UDMNW2    147
         GO TO 220                                                      UDMNW2    148
      ENDIF                                                             UDMNW2    149
      IF(XUPD(LSRD).LT.0.0) XUPD(LSRD)=0.0                              UDMNW2    150
  220 BSTCX=DDAT(JEB+3)*BTCR(JY+6)-BDEV(JY+5)                           UDMNW2    151
      IF(DDAT(JEB+5).GT.0.0)                                            UDMNW2    152
     & BTCR(JY+6)=XUPD(LSRD)-SIN(PII*XUPD(LSRD))/PII                    UDMNW2    153
      IF(DDAT(JEB+6).GT.0.0)THEN                                        UDMNW2    154
        BDEV(JY+5)=DDAT(JEB+3)*BTCR(JY+6)-XUPD(LSRD+1)*DDAT(JEB+4)      UDMNW2    155
      ELSE                                                              UDMNW2    156
        BDEV(JY+5)=DDAT(JEB+3)*BTCR(JY+6)-BSTCX                         UDMNW2    157
      ENDIF                                                             UDMNW2    158
      BSVC(JY+2)=BDEV(JY+5)*BASER(JY+4)                                 UDMNW2    159
      GO TO 500                                                         UDMNW2    160
  230 IF(XUPD(LSRD).GT.1.0) THEN                                        UDMNW2    161
         XUPD(LSRD)=1.0                                                 UDMNW2    162
         YVAR(JY+2)=1.0                                                 UDMNW2    163
         GO TO 500                                                      UDMNW2    164
      ENDIF                                                             UDMNW2    165
      IF(XUPD(LSRD).LT.-1.0) THEN                                       UDMNW2    166
         XUPD(LSRD)=-1.0                                                UDMNW2    167
         YVAR(JY+2)=-1.0                                                UDMNW2    168
      ENDIF                                                             UDMNW2    169
      GO TO 500                                                         UDMNW2    170
  240 IF(XUPD(LSRD).GT.1.0) THEN                                        UDMNW2    171
         XUPD(LSRD)=1.0                                                 UDMNW2    172
         YDEV(JY+2)=1.0                                                 UDMNW2    173
         YSDB(JY+1)=BASER(JY+4)                                         UDMNW2    174
         GO TO 500                                                      UDMNW2    175
      ENDIF                                                             UDMNW2    176
      IF(XUPD(LSRD).LT.0.0) THEN                                        UDMNW2    177
         XUPD(LSRD)=0.0                                                 UDMNW2    178
         BDEV(JY+2)=0.0                                                 UDMNW2    179
         YSDB(JY+1)=0.0                                                 UDMNW2    180
      ENDIF                                                             UDMNW2    181
      GO TO 500                                                         UDMNW2    182
  250 IF(XUPD(LSRD).GT.1.0) THEN                                        UDMNW2    183
         XUPD(LSRD)=1.0                                                 UDMNW2    184
         BDEV(JY+5)=1.0                                                 UDMNW2    185
         BRANI(JY+2)=BASER(JY+4)                                        UDMNW2    186
         GO TO 500                                                      UDMNW2    187
      ENDIF                                                             UDMNW2    188
      IF(XUPD(LSRD).LT.0.0) THEN                                        UDMNW2    189
         XUPD(LSRD)=0.0                                                 UDMNW2    190
         BDEV(JY+5)=0.0                                                 UDMNW2    191
         BRANI(JY+2)=0.0                                                UDMNW2    192
      ENDIF                                                             UDMNW2    193
      GO TO 500                                                         UDMNW2    194
  251 XMAX=DDAT(JEB+13)                                                 UDMNW2    195
      IF(XUPD(LSRD).GT.XMAX) THEN                                       UDMNW2    196
         XUPD(LSRD)=XMAX                                                UDMNW2    197
         BDEV(JY+5)=XMAX                                                UDMNW2    198
         BSVC(JY+2)=XMAX*ABS(BASER(JY+4))                               UDMNW2    199
         GO TO 500                                                      UDMNW2    200
      ENDIF                                                             UDMNW2    201
      XMIN=DDAT(JEB+14)                                                 UDMNW2    202
      IF(XUPD(LSRD).LT.XMIN) THEN                                       UDMNW2    203
         XUPD(LSRD)=XMIN                                                UDMNW2    204
         BDEV(JY+5)=XMIN                                                UDMNW2    205
         BSVC(JY+2)=XMIN*ABS(BASER(JY+4))                               UDMNW2    206
      ENDIF                                                             UDMNW2    207
      GO TO 500                                                         UDMNW2    208
  252 XMAX=DDAT(JEB+13)                                                 UDMNW2    209
      IF(XUPD(LSRD).GT.XMAX) THEN                                       UDMNW2    210
         XUPD(LSRD)=XMAX                                                UDMNW2    211
         BDEV(JY+5)=XMAX                                                UDMNW2    212
         BSVC(JY+2)=XMAX*BASER(JY+4)                                    UDMNW2    213
         GO TO 500                                                      UDMNW2    214
      ENDIF                                                             UDMNW2    215
      XMIN=DDAT(JEB+14)                                                 UDMNW2    216
      IF(XUPD(LSRD).LT.XMIN) THEN                                       UDMNW2    217
         XUPD(LSRD)=XMIN                                                UDMNW2    218
         BDEV(JY+5)=XMIN                                                UDMNW2    219
         BSVC(JY+2)=XMIN*BASER(JY+4)                                    UDMNW2    220
      ENDIF                                                             UDMNW2    221
      GO TO 500                                                         UDMNW2    222
  253 XMAX=DDAT(JEB+13)                                                 UDMNW2    223
      IF(XUPD(LSRD).GT.XMAX) THEN                                       UDMNW2    224
         XUPD(LSRD)=XMAX                                                UDMNW2    225
         BDEV(JY+5)=XMAX                                                UDMNW2    226
         Z02=BRANI(JY+9)**2+BRANI(JY+3)**2                              UDMNW2    227
         R0=BRANI(JY+9)/Z02                                             UDMNW2    228
         X0=BRANI(JY+3)/Z02                                             UDMNW2    229
         DX=XMAX*BASER(JY+4)-BRANI(JY+10)                               UDMNW2    230
         Z2=R0**2+(X0+DX)**2                                            UDMNW2    231
         BRANI(JY+8)=R0/Z2                                              UDMNW2    232
         BRANI(JY+2)=(X0+DX)/Z2                                         UDMNW2    233
         GO TO 500                                                      UDMNW2    234
      ENDIF                                                             UDMNW2    235
      XMIN=DDAT(JEB+14)                                                 UDMNW2    236
      IF(XUPD(LSRD).LT.XMIN) THEN                                       UDMNW2    237
         XUPD(LSRD)=XMIN                                                UDMNW2    238
         BDEV(JY+5)=XMIN                                                UDMNW2    239
         Z02=BRANI(JY+9)**2+BRANI(JY+3)**2                              UDMNW2    240
         R0=BRANI(JY+9)/Z02                                             UDMNW2    241
         X0=BRANI(JY+3)/Z02                                             UDMNW2    242
         DX=XMIN*BASER(JY+4)-BRANI(JY+10)                               UDMNW2    243
         Z2=R0**2+(X0+DX)**2                                            UDMNW2    244
         BRANI(JY+8)=R0/Z2                                              UDMNW2    245
         BRANI(JY+2)=(X0+DX)/Z2                                         UDMNW2    246
      ENDIF                                                             UDMNW2    247
      GO TO 500                                                         UDMNW2    248
  255 XMAX=DDAT(JEB+11)                                                 UDMNW2    249
      IF(XUPD(LSRD).GT.XMAX) THEN                                       UDMNW2    250
         XUPD(LSRD)=XMAX                                                UDMNW2    251
         GO TO 500                                                      UDMNW2    252
      ENDIF                                                             UDMNW2    253
      XMIN=DDAT(JEB+12)                                                 UDMNW2    254
      IF(XUPD(LSRD).LT.XMIN) XUPD(LSRD)=XMIN                            UDMNW2    255
      GO TO 500                                                         UDMNW2    256
  260 VALO=XUPD(LSRD)                                                   UDMNW2    257
      IF(INDEX.EQ.1) THEN                                               UDMNW2    258
         VRFIN(JYE+3)=VALO                                              UDMNW2    259
         GO TO 500                                                      UDMNW2    260
      ENDIF                                                             UDMNW2    261
      IF(INDEX.EQ.2) THEN                                               UDMNW2    262
         VGOV(JYP+2)=VALO                                               UDMNW2    263
         GO TO 500                                                      UDMNW2    264
      ENDIF                                                             UDMNW2    265
      IF(INDEX.EQ.3) THEN                                               UDMNW2    266
         STCR(JY+7)=VALO                                                UDMNW2    267
         GO TO 500                                                      UDMNW2    268
      ENDIF                                                             UDMNW2    269
      IF(INDEX.EQ.4) THEN                                               UDMNW2    270
         SSTC(JYTC+3)=VALO                                              UDMNW2    271
         GO TO 500                                                      UDMNW2    272
      ENDIF                                                             UDMNW2    273
      IF(INDEX.EQ.5) THEN                                               UDMNW2    274
         SSPS(JYPS+3)=VALO                                              UDMNW2    275
         GO TO 500                                                      UDMNW2    276
      ENDIF                                                             UDMNW2    277
      IF(INDEX.EQ.6) THEN                                               UDMNW2    278
         SSDB(JY+3)=VALO                                                UDMNW2    279
         GO TO 500                                                      UDMNW2    280
      ENDIF                                                             UDMNW2    281
      GO TO 500                                                         UDMNW2    282
  270 VALO=XUPD(LSRD)+DDAT(JEB+9)                                       UDMNW2    283
      IF(INDEX.EQ.1) THEN                                               UDMNW2    284
         VRFIN(JYE+3)=VALO                                              UDMNW2    285
         GO TO 500                                                      UDMNW2    286
      ENDIF                                                             UDMNW2    287
      IF(INDEX.EQ.2) THEN                                               UDMNW2    288
         VGOV(JYP+2)=VALO                                               UDMNW2    289
         GO TO 500                                                      UDMNW2    290
      ENDIF                                                             UDMNW2    291
      IF(INDEX.EQ.3) THEN                                               UDMNW2    292
         STCR(JY+7)=VALO                                                UDMNW2    293
         GO TO 500                                                      UDMNW2    294
      ENDIF                                                             UDMNW2    295
      IF(INDEX.EQ.4) THEN                                               UDMNW2    296
         SSTC(JYTC+3)=VALO                                              UDMNW2    297
         GO TO 500                                                      UDMNW2    298
      ENDIF                                                             UDMNW2    299
      IF(INDEX.EQ.5) THEN                                               UDMNW2    300
         SSPS(JYPS+3)=VALO                                              UDMNW2    301
         GO TO 500                                                      UDMNW2    302
      ENDIF                                                             UDMNW2    303
      IF(INDEX.EQ.6) THEN                                               UDMNW2    304
         SSDB(JY+3)=VALO                                                UDMNW2    305
         GO TO 500                                                      UDMNW2    306
      ENDIF                                                             UDMNW2    307
      GO TO 500                                                         UDMNW2    308
  280 VALO=XUPD(LSRD)+DDAT(JEB+9)                                       UDMNW2    309
      YMAX=DDAT(JEB+6)                                                  UDMNW2    310
      YMIN=DDAT(JEB+7)                                                  UDMNW2    311
      IF(VALO.GT.YMAX) VALO=YMAX                                        UDMNW2    312
      IF(VALO.LT.YMIN) VALO=YMIN                                        UDMNW2    313
      IF(INDEX.EQ.1) THEN                                               UDMNW2    314
         VRFIN(JYE+3)=VALO                                              UDMNW2    315
         GO TO 500                                                      UDMNW2    316
      ENDIF                                                             UDMNW2    317
      IF(INDEX.EQ.2) THEN                                               UDMNW2    318
         VGOV(JYP+2)=VALO                                               UDMNW2    319
         GO TO 500                                                      UDMNW2    320
      ENDIF                                                             UDMNW2    321
      IF(INDEX.EQ.3) THEN                                               UDMNW2    322
         STCR(JY+7)=VALO                                                UDMNW2    323
         GO TO 500                                                      UDMNW2    324
      ENDIF                                                             UDMNW2    325
      IF(INDEX.EQ.4) THEN                                               UDMNW2    326
         SSTC(JYTC+3)=VALO                                              UDMNW2    327
         GO TO 500                                                      UDMNW2    328
      ENDIF                                                             UDMNW2    329
      IF(INDEX.EQ.5) THEN                                               UDMNW2    330
         SSPS(JYPS+3)=VALO                                              UDMNW2    331
         GO TO 500                                                      UDMNW2    332
      ENDIF                                                             UDMNW2    333
      IF(INDEX.EQ.6) THEN                                               UDMNW2    334
         SSDB(JY+3)=VALO                                                UDMNW2    335
         GO TO 500                                                      UDMNW2    336
      ENDIF                                                             UDMNW2    337
  500 IF(LORD.LT.NUDB.AND.K.NE.0) GO TO 100                             UDMNW2    338
      RETURN                                                            UDMNW2    339
 1000 FORMAT(1X,'LORD,K,KORD,JEB,LTYP,LSRD: ',6I5)                      UDMNW2    340
      END                                                               UDMNW2    341
